Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.management.deployment
Interface AdapterDeploymentMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, weblogic.descriptor.DescriptorBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

    public interface AdapterDeploymentMBean

extends weblogic.management.configuration.ConfigurationMBean

MBean for managing Adapter deployment properties

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `autoSuspend()` Internal use.
`IAdapterDescriptor` | `getAdapterDescriptor()` This attribute holds all the metadata known about the Adapter instance and can be serialized to/from an XML document (is also Serializable).
`String` | `getAdapterID()` ID of the Adapter this MBean represents as a string (derived from appName and getDescriptor().getQualifiedName().toString()).
`Boolean` | `getAllowPoolToShrink(String factoryName)` Is the pool for the named connection factory allowed to shrink in cases where it is sitting idle?
`String` | `getAppName()` Name of the J2EE application that contains the Adapter instance this MBean represents
`Integer` | `getAutoSuspendTimeout()` The number of seconds AI should allow an auto-suspend to last.
`Object` | `getCauseOfCurrentState()` The throwable/exception or String explanation that caused the Adapter to be in the current state (‘Deploy Failed’ and ‘Suspended’ only) or null if the AppView is in none of these states.
`String[]` | `getConnectionFactoryPolicy(String factoryName)` Get a list of names of roles allowed to obtain connections from the named connection factory.
`Properties` | `getConnectionFactoryProperties(String factoryName)` Get the list of properties for named connection factory.
`Integer` | `getDeployState()` Logical status of this Adapter instance (‘Deployed’, ‘Undeployed’, ‘Deploying’, ‘Undeploying’, ‘Deploy Failed’, ‘Suspended’, ‘Suspending’ and ‘Resuming’).
`String` | `getDescription()` Description of this Adapter instance or null if none was given.
`String[]` | `getInboundMessagingTargets()` List of server (not cluster) names on which the inbound messaging section of the adapter instance will be activated.
`String` | `getInheritedConnectionFactoryPolicy(String factoryName)` Get a policy expression string inherited from the parent resource of the named connection factory.
`Integer` | `getMaxPoolSize(String factoryName)` Get the maximum number of connections to maintain in the pool for the named connection factory.
`Integer` | `getMinPoolSize(String factoryName)` Get the minimum number of connections to maintain in the pool for the named connection factory.
`Properties` | `getProperties()` Get the list of properties for this adapter instance.
`String[]` | `getServerList()` The list of servers (managed server names) on which this adapter instance is present (in some state that may be Deploying, Resuming, Undeploying, etc.).
`Long` | `getTimeInCurrentState()` The number of milliseconds this Adapter instance has been in its current state.
`PrincipalMap` | `getWLSToEISPrincipalMap(String factoryName)` Mappings from WLS user name to EIS user name and password.
`boolean` | `isAutoSuspended()` Was this Adapter instance auto-suspended.
`boolean` | `isAutoSuspendEnabled()` Indicates if the auto-suspend feature is enabled for this adapter instance.
`String[]` | `listDependentApplicationViews()` List all ApplicationViews (by ID) that depend on this adapter instance.
`void` | `redeploy()` Requests the transition of the Adapter instance into the undeployed state, immediately followed by a transition to the deployed state, on all servers in the serverList attribute.
`void` | `resume()` Requests the transition of the Adapter instance into the deployed state on all servers in the serverList attribute.
`void` | `setAllowPoolToShrink(String factoryName, Boolean allow)` Set whether the named connection factory pool is allowed to shrink.
`void` | `setAutoSuspendEnabled(boolean newValue)` Set the auto-suspend as enabled or disabled for this adapter instance.
`void` | `setAutoSuspendTimeout(Integer newValue)` Get the number of seconds AI should allow an auto-suspend to last.
`void` | `setConnectionFactoryPolicy(String factoryName, String[] roles)` Set the list of names of roles allowed to obtain connections from the named connection factory.
`void` | `setConnectionFactoryProperties(String factoryName, Properties props)` Set the connection properties for the named connection factory.
`void` | `setInboundMessagingTargets(String[] newValue)` Set the targets for the inbound messaging component of this adapter instance.
`void` | `setMaxPoolSize(String factoryName, Integer size)` Set the maximum number of connections to maintain in the pool for the named connection factory * @param factoryName the name of the connection factory (within this adapter instance) for which the max pool size is being set.
`void` | `setMinPoolSize(String factoryName, Integer size)` Set the minimum pool size for the named connection factory.
`void` | `setProperties(Properties props)` Set the properties for this adapter instance.
`void` | `setWLSToEISPrincipalMap(String factoryName, PrincipalMap newValue)` Set the principal map to use for the named connection factory.
`void` | `suspend()` Requests the transition of the Adapter instance into the suspended state on all servers in the serverList attribute.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getComments, getName, getNotes, isDefaultedMBean, isPersistenceEnabled, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, touch, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getDeployState

    Integer getDeployState()

  Logical status of this Adapter instance (‘Deployed’, ‘Undeployed’, ‘Deploying’, ‘Undeploying’, ‘Deploy Failed’, ‘Suspended’, ‘Suspending’ and ‘Resuming’).

### getCauseOfCurrentState

    Object getCauseOfCurrentState()

  The throwable/exception or String explanation that caused the Adapter to be in the current state (‘Deploy Failed’ and ‘Suspended’ only) or null if the AppView is in none of these states.

### getTimeInCurrentState

    Long getTimeInCurrentState()

  The number of milliseconds this Adapter instance has been in its current state.

### getAdapterID

    String getAdapterID()

  ID of the Adapter this MBean represents as a string (derived from appName and getDescriptor().getQualifiedName().toString()). Note, the QualifiedName is available via the descriptor attribute.

### getAppName

    String getAppName()

  Name of the J2EE application that contains the Adapter instance this MBean represents

### getAdapterDescriptor

    IAdapterDescriptor getAdapterDescriptor()

  This attribute holds all the metadata known about the Adapter instance and can be serialized to/from an XML document (is also Serializable). The descriptors (IConnectionFactoryDescriptor) for each connection factory in the adapter instance are available from this object. NOTE: The property set on the IAdapterDescriptor and the individual IConnectionFactoryDescriptors within it are writeable. Any change to these properties will require a redeploy of the adapter instance for them to take effect.

### getServerList

    String[] getServerList()
                           throws javax.management.MBeanException

  The list of servers (managed server names) on which this adapter instance is present (in some state that may be Deploying, Resuming, Undeploying, etc.).

  Throws:
    `javax.management.MBeanException`

### isAutoSuspended

    boolean isAutoSuspended()

  Was this Adapter instance auto-suspended. If the Adapter instance is not in the suspended state, this returns false. The cause of the auto-suspend is available via getCauseOfCurrentState().

### getDescription

    String getDescription()

  Description of this Adapter instance or null if none was given. Note, available via the descriptor attribute as well, but separated out for efficient summary display.

### getWLSToEISPrincipalMap

    PrincipalMap getWLSToEISPrincipalMap(String factoryName)

  Mappings from WLS user name to EIS user name and password. If the client using the named connection factory has container-managed sign-on enabled, having a non-null, non-empty wlsToEISPrincipalMap will cause the connection factory to authenticate connections using the mapped EIS user name anytime the current user within WLS has a WLS user name for which there is a mapping. NOTE: This property is persistent. It will be stored in the WLS credential mapper just like the WLS console stores principal maps for RAR deployments.

  Parameters:
    `factoryName` - The name of the connection factory (within this adapter instance) for which the PrincipalMap is being obtained.

### setWLSToEISPrincipalMap

    void setWLSToEISPrincipalMap(String factoryName,
                                 PrincipalMap newValue)

  Set the principal map to use for the named connection factory.

  Parameters:
    `factoryName` - the name of the connection factory (within this adapter instance) for which the PrincipalMap is being set.
    `newValue` - The new PrincipalMap to assign to the named connection factory.
  See Also:
    `getWLSToEISPrincipalMap(String factoryName)`

### getProperties

    Properties getProperties()

  Get the list of properties for this adapter instance. The use of any given property, and the number and type of individual properties is adapter specific. However, in general, properties on the adapter instance are used to configure overall adapter instance behavior, and to configure inbound messaging (including the EIS instance from which messages will be delivered).

### setProperties

    void setProperties(Properties props)

  Set the properties for this adapter instance.

  Parameters:
    `props` - The new properties for this adapter instance
  See Also:
    `getProperties()`

### getMinPoolSize

    Integer getMinPoolSize(String factoryName)

  Get the minimum number of connections to maintain in the pool for the named connection factory.

  Parameters:
    `factoryName` - the name of the connection factory (within this adapter instance) for which the min pool size is being retrieved.

### setMinPoolSize

    void setMinPoolSize(String factoryName,
                        Integer size)

  Set the minimum pool size for the named connection factory.

  Parameters:
    `factoryName` - the name of the connection factory (within this adapter instance) for which the min pool size is being set.
  See Also:
    `getMinPoolSize(String factoryName)`

### getMaxPoolSize

    Integer getMaxPoolSize(String factoryName)

  Get the maximum number of connections to maintain in the pool for the named connection factory.

  Parameters:
    `factoryName` - the name of the connection factory (within this adapter instance) for which the max pool size is being retrieved.

### setMaxPoolSize

    void setMaxPoolSize(String factoryName,
                        Integer size)

  Set the maximum number of connections to maintain in the pool for the named connection factory * @param factoryName the name of the connection factory (within this adapter instance) for which the max pool size is being set.

  See Also:
    `getMaxPoolSize(String factoryName)`

### getAllowPoolToShrink

    Boolean getAllowPoolToShrink(String factoryName)

  Is the pool for the named connection factory allowed to shrink in cases where it is sitting idle?

  Parameters:
    `factoryName` - the name of the connection factory (within this adapter instance) for which the pool shrink value is being retrieved.

### setAllowPoolToShrink

    void setAllowPoolToShrink(String factoryName,
                              Boolean allow)

  Set whether the named connection factory pool is allowed to shrink.

  Parameters:
    `factoryName` - the name of the connection factory (within this adapter instance) for which the pool shrink value is being set.
  See Also:
    `getAllowPoolToShrink(String factoryName)`

### getConnectionFactoryProperties

    Properties getConnectionFactoryProperties(String factoryName)

  Get the list of properties for named connection factory. The use of any given property, and the number and type of individual properties is adapter specific. However, in general, properties on the connection factory are used to configure connection properties for connections that will be created by and stored in the connection factory.

  Parameters:
    `factoryName` - the name of the connection factory (within this adapter instance) for which the properties are being retrieved.

### setConnectionFactoryProperties

    void setConnectionFactoryProperties(String factoryName,
                                        Properties props)

  Set the connection properties for the named connection factory.

  Parameters:
    `factoryName` - the name of the connection factory (within this adapter instance) for which the properties are being set.
  See Also:
    `getConnectionFactoryProperties(String factoryName)`

### getInboundMessagingTargets

    String[] getInboundMessagingTargets()

  List of server (not cluster) names on which the inbound messaging section of the adapter instance will be activated. If this property is null or empty, the inbound messaging section of the adapter instance will be initialized on all servers on which this adapter instance is deployed. Note, specifying a server/cluster name in this list that is not also in the serverList property has no effect. In other words, the servers/clusters on which to activate the inbound messaging section of the adapter instance is the union of the serverList and inboundMessagingTargets properties.

### setInboundMessagingTargets

    void setInboundMessagingTargets(String[] newValue)
                                    throws javax.management.InvalidAttributeValueException,
                                           javax.management.MBeanException

  Set the targets for the inbound messaging component of this adapter instance. The targets list is a comma-separated list, and has no effect if this adapter instance has not been configured for inbound messaging at design-time.

  Parameters:
    `newValue` - A comma-separated list of targets on which to activate inbound messaging for this adapter instance.
  Throws:
    `javax.management.InvalidAttributeValueException`
    `javax.management.MBeanException`
  See Also:
    `getInboundMessagingTargets()`, `IAdapterDescriptor.isInboundMessagingEnabled()`

### isAutoSuspendEnabled

    boolean isAutoSuspendEnabled()

  Indicates if the auto-suspend feature is enabled for this adapter instance. If so, this adapter instance may be auto-suspended if requested by its inbound messaging section.

### setAutoSuspendEnabled

    void setAutoSuspendEnabled(boolean newValue)

  Set the auto-suspend as enabled or disabled for this adapter instance.

  See Also:
    `isAutoSuspendEnabled()`

### getAutoSuspendTimeout

    Integer getAutoSuspendTimeout()

  The number of seconds AI should allow an auto-suspend to last. After this number of seconds, the adapter instance will be resumed. Specify –1 to indicate an infinite suspend timeout.

### setAutoSuspendTimeout

    void setAutoSuspendTimeout(Integer newValue)

  Get the number of seconds AI should allow an auto-suspend to last.

  See Also:
    `getAutoSuspendTimeout()`

### suspend

    void suspend()
                 throws javax.management.MBeanException

  Requests the transition of the Adapter instance into the suspended state on all servers in the serverList attribute.

  Throws:
    `javax.management.MBeanException`

### autoSuspend

    void autoSuspend()
                     throws javax.management.MBeanException

  Internal use. Causes adapter instance to be suspended, and indicates it was auto-suspended.

  Throws:
    `javax.management.MBeanException`

### resume

    void resume()
                throws javax.management.MBeanException

  Requests the transition of the Adapter instance into the deployed state on all servers in the serverList attribute.

  Throws:
    `javax.management.MBeanException`

### redeploy

    void redeploy()
                  throws javax.management.MBeanException

  Requests the transition of the Adapter instance into the undeployed state, immediately followed by a transition to the deployed state, on all servers in the serverList attribute. This will allow changes to the metadata for the adapter instance to be picked up by the newly deployed adapter instance.

  Throws:
    `javax.management.MBeanException`

### getConnectionFactoryPolicy

    String[] getConnectionFactoryPolicy(String factoryName)

  Get a list of names of roles allowed to obtain connections from the named connection factory.

  Parameters:
    `factoryName` - the name of the connection factory (within this adapter instance) for which the policy is being retrieved.

### setConnectionFactoryPolicy

    void setConnectionFactoryPolicy(String factoryName,
                                    String[] roles)
                                    throws javax.management.MBeanException

  Set the list of names of roles allowed to obtain connections from the named connection factory.

  Parameters:
    `factoryName` - the name of the connection factory (within this adapter instance) for which the policy is being set.
    `roles` - An array of role names that are allowed to obtain connections from the named connection factory.
  Throws:
    `javax.management.MBeanException`
  See Also:
    `getConnectionFactoryPolicy(String factoryName)`

### getInheritedConnectionFactoryPolicy

    String getInheritedConnectionFactoryPolicy(String factoryName)
                                               throws javax.management.MBeanException

  Get a policy expression string inherited from the parent resource of the named connection factory.

  Parameters:
    `factoryName` - the name of the connection factory (within this adapter instance) for which the inherited policy is being retrieved.
  Throws:
    `javax.management.MBeanException`

### listDependentApplicationViews

    String[] listDependentApplicationViews()
                                           throws javax.management.MBeanException

  List all ApplicationViews (by ID) that depend on this adapter instance.

  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD